=== debian/changelog ===
gftl (1.2.5-2) unstable; urgency=low

  * Make the build reproducible (Closes: #963602)

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Jun 2020 11:55:24 +0200

gftl (1.2.5-1) unstable; urgency=low

  * Initial release. Closes: #961670

 -- Ole Streicher <olebole@debian.org>  Tue, 26 May 2020 09:47:26 +0200
