=== debian/control ===
Source: gftl
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (=12),
               gfortran,
               m4
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/gftl
Vcs-Git: https://salsa.debian.org/science-team/gftl.git
Homepage: https://github.com/Goddard-Fortran-Ecosystem/gFTL
Rules-Requires-Root: no

Package: gftl-dev
Architecture: all
Depends: ${misc:Depends}
Description: Containers and iterators for Fortran
 gFTL provides a mechanism to easily create robust containers and
 associated iterators which can be used within Fortran
 applications. The primary methods are intended to be as close to
 their C++ STL analogs as possible. These containers are a powerful
 productivity multiplier for certain types of software development,
 and hope that others find them to be just as useful.
