## gftl 1.3.0%2Bis-really-1.2.7

=== debian/changelog ===
gftl (1.3.0+is-really-1.2.7-2) unstable; urgency=medium

  * Team Upload
  * Fix Team name
  * Add debian/salsa-ci.yml
  * Fix FTBFS with CMake 4 (Closes: #1112951)
  * Update standards version to 4.7.2

  [ Debian Janitor ]
  * Apply multi-arch hints. + gftl-dev: Add Multi-Arch: foreign.
  * Set upstream metadata fields

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Oct 2025 11:53:19 +0200

gftl (1.3.0+is-really-1.2.7-1) unstable; urgency=medium

  * Revert upstream to 1.2.7. Closes: #978352
  * Revert patch to 1.2.7 version

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Jan 2021 12:16:52 +0100

gftl (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Dec 2020 17:41:57 +0100

gftl (1.2.7-1) unstable; urgency=low

  * New upstream version 1.2.7. Rediff patches
  * Push Standards-Version to 13

 -- Ole Streicher <olebole@debian.org>  Tue, 01 Sep 2020 08:35:59 +0200
