=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
if ("${CMAKE_Fortran_COMPILER_ID}" MATCHES "Intel")
  set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -assume realloc_lhs")
endif()
#add_subdirectory(Map)
#add_subdirectory(Vector)
##add_subdirectory(Tracer)
