=== examples/Tracer/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

include_directories("$ENV{FTL}/include")
link_directories("$ENV{MODELE}/modelEMaster/model/shared")
link_directories("$ENV{MODELE}/modelEMaster/model/MPI_Support")
link_directories("$ENV{MODELE}/modelEMaster/model/tracers")
link_directories("$ENV{MODELE}/modelEMaster/model/dd2d")
link_directories("$ENV{MODELE}/modelEMaster/model/profiler")
link_directories("$ENV{NETCDFHOME}/lib")
link_directories("$ENV{PNETCDFHOME}/lib")
#link_directories("/opt/local/lib")
include_directories("$ENV{MODELE}/modelEMaster/model/mod")

set(srcs AbstractValue.F90)
list(APPEND srcs Values.F90)
list(APPEND srcs AttributeMap.F90)
list(APPEND srcs Tracer.F90)
list(APPEND srcs TracerBundle.F90)

set(SOURCES ${srcs})
add_library(mytracer STATIC ${SOURCES})
add_executable(values.x ${SOURCES} TestValues.F90)
add_executable(vType.x ${SOURCES} TestValueType.F90)
add_executable(attrMap.x ${SOURCES} TestAttributeMap.F90)
add_executable(aTracer.x ${SOURCES} TestTracer.F90)
add_executable(aBundle.x ${SOURCES} TestTracerBundle.F90)
target_link_libraries(values.x tracers shared MPI_Support dd2d profiler netcdf)
target_link_libraries(vType.x tracers shared MPI_Support dd2d profiler netcdf)
target_link_libraries(attrMap.x tracers shared MPI_Support dd2d profiler netcdf )
target_link_libraries(aTracer.x tracers shared MPI_Support dd2d profiler netcdf )
target_link_libraries(aBundle.x tracers shared MPI_Support dd2d profiler netcdf)
