=== include/templates/CMakeLists.txt ===
--- 
+++ 
@@ -17,11 +17,6 @@
 # Empty list - will append in loop below
 set(generated_incs)
 
-find_program( m4_found "m4" )
-if( NOT m4_found )
-  message( SEND_ERROR "m4 program not found" )
-endif()
-
 foreach( macro_file ${macro_files} )
   foreach( param ${template_params} )
     set( infile ${src}/${macro_file}.m4 )
@@ -30,7 +25,7 @@
 
     add_custom_command (
       OUTPUT ${outfile}
-      COMMAND m4 -s -Dparam=${param} -I${src}/../templates < ${infile} > ${outfile}
+      COMMAND ${M4} -s -Dparam=${param} -I${src}/../templates < ${infile} > ${outfile}
       WORKING_DIRECTORY ${bin}
       DEPENDS ${infile}
       )
