## gftl 1.3.0+is-really-1.2.7

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: gftl
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (=12),
+               debhelper-compat (=13),
                gfortran,
                m4
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/gftl
 Vcs-Git: https://salsa.debian.org/science-team/gftl.git
 Homepage: https://github.com/Goddard-Fortran-Ecosystem/gFTL
-Rules-Requires-Root: no
 
 Package: gftl-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Containers and iterators for Fortran
  gFTL provides a mechanism to easily create robust containers and
  associated iterators which can be used within Fortran
