=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gftl-$1\.tar\.gz/ \
  https://github.com/Goddard-Fortran-Ecosystem/gFTL/tags .*/v?(\d\S*)\.tar\.gz
